Skip to main content
POST
/
api
/
onboarding
/
individual
/
crc_full
/
CRC Full Credit Report
curl --request POST \
  --url https://adhere-api.smartcomply.com/api/onboarding/individual/crc_full/ \
  --header 'Content-Type: application/json' \
  --header 'x-access-token: <api-key>' \
  --data '
{
  "bvn": "22244545518"
}
'
import requests

url = "https://adhere-api.smartcomply.com/api/onboarding/individual/crc_full/"

payload = { "bvn": "22244545518" }
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({bvn: '22244545518'})
};

fetch('https://adhere-api.smartcomply.com/api/onboarding/individual/crc_full/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "failed",
  "data": [
    "<unknown>"
  ],
  "message": "<string>"
}
{
"status": "failed",
"message": "Authentication credentials were not provided."
}
The CRC Full Credit Report endpoint returns a comprehensive credit report from the CRC bureau, including detailed loan history, repayment performance, credit enquiries, and employment history.

Endpoint

POST /api/onboarding/individual/crc_full/

Request

Headers

HeaderValueRequired
x-access-tokenYour API secret keyYes
Content-Typeapplication/jsonYes

Body Parameters

ParameterTypeRequiredDescription
bvnstringYesThe individual’s 11-digit Bank Verification Number

Example

curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/individual/crc_full/" \
  -H "x-access-token: YOUR_SECRET_KEY" \
  -H "Content-Type: application/json" \
  -d '{"bvn": "22244545518"}'

Response

200 OK

FieldTypeDescription
data.namestringFull name
data.score.totalNoOfLoansnumberTotal loans on record
data.score.totalNoOfActiveLoansnumberCurrently active loans
data.score.totalNoOfClosedLoansnumberClosed loans
data.score.totalBorrowednumberTotal amount borrowed
data.score.totalOutstandingnumberTotal outstanding balance
data.score.highestLoanAmountnumberHighest single loan amount
data.score.creditEnquiriesarrayList of credit enquiries
data.score.loanPerformancearrayPer-lender performance summaries
data.score.loanHistoryarrayDetailed loan-by-loan history
data.score.employmentHistoryarrayEmployment records on file
{
  "status": "success",
  "data": {
    "_id": "64f600608aaf9386c646de32",
    "bvn": "22244545518",
    "name": "ADELEKE EMMANUEL AYORINDE",
    "gender": "Male",
    "dateOfBirth": "29/12/1994",
    "score": {
      "totalNoOfDelinquentFacilities": 0,
      "lastReportedDate": "23/Nov/2023",
      "totalNoOfLoans": 29,
      "totalNoOfInstitutions": 6,
      "totalBorrowed": 4145267,
      "totalOutstanding": 1,
      "totalOverdue": 0,
      "totalNoOfPerformingLoans": 29,
      "totalNoOfClosedLoans": 27,
      "totalNoOfActiveLoans": 2,
      "highestLoanAmount": 1134330,
      "crcReportOrderNumber": "W-0097887830/2023",
      "creditEnquiries": [
        {"loanType": "Overdraft", "date": "12-Oct-2023", "institutionType": "Micro Lenders"}
      ],
      "loanPerformance": [
        {"loanProvider": "UNITED BANK FOR AFRICA", "loanAmount": "NGN 1,134,330", "status": "Open", "performanceStatus": "Performing"}
      ],
      "loanHistory": [
        {"loanProvider": "UNITED BANK FOR AFRICA", "accountNumber": "SF099911020938", "type": "Term Loan", "loanAmount": "1134330", "performanceStatus": "Performing"}
      ],
      "employmentHistory": [
        {"employerName": "ARM INVESTMENT MANAGERS", "address": "1 MEKUNWEN ROAD OYINKAN ABAYOMI ETI OSA", "dateReported": "31-jul-2023"}
      ]
    },
    "searchedDate": "2023-11-23T14:26:42.196Z"
  },
  "message": "CRC Full credit report details retrieved successfully"
}

400 Bad Request

{
  "status": "failed",
  "data": [],
  "message": "Missing required fields"
}

401 Unauthorized

{
  "status": "failed",
  "message": "Authentication credentials were not provided."
}

Authorizations

x-access-token
string
header
required

Your Adhere API secret key

Body

application/json
bvn
string
required
Example:

"22244545518"

Response

CRC full report retrieved